/**
  *  \file int/process.h
  */
#ifndef PCC_V2_INT_PROCESS_H
#define PCC_V2_INT_PROCESS_H

#include "cpluslib/string.h"

class IntExecutionContext;

IntExecutionContext& createProcess(string_t name);
void runRunnableProcesses();
void killTerminatedProcesses();
bool hasAnyRunnableProcess();
bool runTemporaryProcess(IntExecutionContext& exec);

#endif
